import { JobService } from "../../../domain/services/Job.service";
import 'vue3-perfect-scrollbar/dist/vue3-perfect-scrollbar.css';
declare const _default: {
    name: string;
    components: {
        RowForm: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Modal: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        SectionHeading: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        PerfectScrollbar: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>;
        CheckInput: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        title: {
            type: StringConstructor;
            default: string;
        };
        modalActive: BooleanConstructor;
        showOkButton: BooleanConstructor;
        showConfirmButton: BooleanConstructor;
        showCloseButton: BooleanConstructor;
        backgroundColor: StringConstructor;
        showLoad: BooleanConstructor;
        confirmButtonText: {
            default: string;
            type: StringConstructor;
        };
        jobId: {
            default: string;
            type: StringConstructor;
        };
    };
    data: () => {
        load: boolean;
        text: string;
        showModalConfirmation: boolean;
        jobService: JobService;
        headers: any[];
        dataQuestions: any[];
        saveOk: boolean;
    };
    mounted(): Promise<void>;
    updated(): void;
    watch: {
        modalActive(): Promise<void>;
    };
    methods: {
        resetControls(): void;
        getDataHeaders(data: []): void;
        isCheckAccept(check: boolean): void;
        isCheckCancel(check: boolean): void;
        bodyOverflowModify(): void;
        save(): Promise<void>;
        closeModal(): void;
    };
};
export default _default;
